Packages - Bug #2901

beaglebone green: Ethernet not working anymore.
2020-09-24 12:18 AM - GNUtoo

Status: fixed % Done: 0%
Priority: bug

Assignee: GNUtoo

Category:

Description

History

#1 - 2020-09-24 12:19 AM - GNUtoo

The ethernet doesn't work anymore in both linux-libre and linux-libre-Its with the following error in dmesg:

[ 44.990545] cpsw 4al00000.ethernet: initializing cpsw version 1.12 (0)

[ 45.021380] cpsw 4al00000.ethernet: phy "/ocp/interconnect@4a000000/segment@0/target-module@100000/ethernet

@0/mdio@1000/ethernet-phy@0" not found on slave 0

#2 - 2020-09-24 12:19 AM - GNUtoo

It looks like a mismatch between the dts and the linux-libre kernels

#3 - 2020-09-24 12:21 AM - GNUtoo

linux-libre-Its version: 5.4.60-gnu-1-Its

#4 - 2020-09-24 04:13 AM - bill-auger
- Assignee set to Megver83

- Status changed from unconfirmed to confirmed

#5 - 2020-12-23 12:40 PM - GNUtoo

It works again now with linux-libre-lts.

| still have to try with linux-libre.

#6 - 2021-01-08 05:04 PM - GNUtoo
- Assignee changed from Megver83 to GNUtoo

#7 - 2021-01-08 05:04 PM - GNUtoo

- Status changed from confirmed to fixed
